disp('test003: Should continue with default if param is not a struct');
mkdir('test');

nucfeats = {};
param = 1;
savepath = '';
model = train_nuc_shape_model(nucfeats, savepath, param);

assert(isempty(model));
rmdir('test');
disp('Test passed.');